<?php
namespace Claromentis\Core\TrashCan;

$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"] ?: array()) + array("_a540f3d49" . "e78c8620c4" . "547ce19cef" . "b33" => base64_decode("Y29tbW9uLnRyYXNoX2Nhbi5kZWxldGVkX2J5X2FkbWluaXN0cm" . "F0b3I="), "_0c5123aa" . "744f69bbc" . "0e8b3ea2f" . "6e847d" => base64_decode("bG1zZw=" . "="));
use CommonListOutputUser;






class TrashCanListOutputUser extends CommonListOutputUser
{
    public function FormatAsHTML($value)
    {
        if (!$value) {
            return $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_0c5123aa744f69b" . "bc0e8b3ea2f6e847" . "d"]($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_a540f3d49e78c8" . "620c4547ce19cef" . "b33"]);
        }
        return parent::FormatAsHTML($value);
    }
    public function FormatAsText($value)
    {
        if (!$value) {
            return $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_0c5123aa744f69bbc0e8b3ea2f" . "6e847d"]($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_a540f3d49" . "e78c8620c4" . "547ce19cef" . "b33"]);
        }
        return parent::FormatAsText($value);
    }
}